#! /usr/bin/env python3
#Nacteni knihoven
import os
import subprocess
import time
import Hluk
import bmp280
import csv
import Dioda
import nacitani_gps as gps

# Definovani hlavicky csv souboru
HEADER = ['Hluk[dB]','Teplota [°C]', 'Tlak [Pa]', 'Nadmorska vyska [m.n.m]','Zemepisna sirka','Zemepisna delka','Den','Cas'] # Hlavicka csv souboru
# definovani zapisovace do csv souboru
def logger(csvfile):
    csv_writer = csv.writer(csvfile)
    csv_writer.writerow(HEADER)
    Dioda.setup()

# cyklus, ktery probiha behem celeho mereni    
    while True:
        sirka, delka, den, cas = gps.get_data()
        sirka= str(sirka)
        delka= str(delka)
        den= str(den)
        cas= str(cas)
        hluk=Hluk.chan.voltage*100
        teplota= bmp280.bmp280.temperature
        tlak = bmp280.bmp280.pressure
        vyska= bmp280.bmp280.altitude
        csv_writer.writerow([hluk,teplota,tlak,vyska,sirka,delka,den,cas])
        Dioda.blink()
        csvfile.flush()
        time.sleep(1)
# Zapsani dat do souboru Data.csv        
with open('/home/pi/Data.csv', 'a') as csvfile:
    logger(csvfile)
